Frage von robs1909, 49

Wieso kann ich bei Powershell 4.0 nicht auf die cmdlet's Vpn zugreifen?

Ich verwende Powershell 4.0 unter Windows 7 und möchte so auf meine Vpn-Verbindung zugreifen! Das dafür nötige cmdlet:

  • Get-VpnConnection

wird aber nicht gefunden bzw. ist in meinen Modulen nicht enthalten!

Daher frage ich euch ob Ihr wisst wo dieses cmdlet's enthalten sind und wie ich diese auf mein Powershell 4.0 bekomme!

Danke und liebe Grüße,

Robert

Antwort
von Royce, 49

Du benötigst das Modul VpnClient. Dieses ist nur bei Win8 und WinServer2k12 vorinstalliert

Kommentar von robs1909 ,

Hallo Royce, vielen Dank für die schnelle Antwort! Wenn ich dich richtig verstehe muss ich es für Win7 manuell installieren damit es funktioniert oder?

Kommentar von Royce ,

Genau.
Das Modul sollte meines Wissens im Windows Management Framework 3.0 enthalten sein. (http://blogs.msdn.com/b/powershell/archive/2012/09/17/windows-management-framewo...)

Kommentar von robs1909 ,

Hallo nochmal, aufgrund deines Vorschlages bin ich auf folgendes gestoßen: http://itknowledgeexchange.techtarget.com/powershell/powershell-v3-installed-mod...

Anscheinend ist dieses Modul für Win7 nicht enthalten (weder in Powershell 3.0 als auch in 4.0)

Vielleicht kann man das trotzdem irgendwie hinzufügen?? Bin derzeit ein bisschen ratlos und versteh nicht warum die zwischen den Win-Versionen so abweichen

Kommentar von Royce ,

Wie schon gesagt, müsstest du dazu das Windows Management Framework 3.0 nachinstallieren :) wenn immer alle CmdLets in allen PS-Versionen enthalten wären würde das die Pakete ziemlich aufblasen, verständlich warum nicht alle Spezialpakete bei allen Versionen dabei sind.

Kommentar von robs1909 ,

Ist leider auch in diesem Framework nicht enthalten! Aber Danke für deinen Tipp Royce

Kommentar von Royce ,

Sorry, dann weiß ich leider auch nicht weiter :/ Wir haben hier 2k12 Kisten laufen, da ist das glücklicherweise schon mit drin

Keine passende Antwort gefunden?

Fragen Sie die Community

Weitere Fragen mit Antworten